<h1 mat-dialog-title>Register a Tag</h1>
<div mat-dialog-content>
  <mat-form-field>
    <mat-label>Tag Name</mat-label>
    <input matInput [(ngModel)]="data.tagName">
  </mat-form-field>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()" cdkFocusInitial>Cancel</button>
  <button mat-button  [mat-dialog-close]="data.tagName" >Create</button>
</div>

